version: '3.7'
services:
  gateway:
    build:
      context: .
    environment:
      PORT: 3000
      user_service: 'http://api_user:1234/graphql'
    ports:
      - '3000:3000'
    volumes:
      - 'dependencies:/usr/src/app/node_modules'
    networks:
      - byron_services
volumes:
  dependencies: null
networks:
  byron_services:
    name: byron_mesh
